Subject: Re: [Mipshop] comments about draft-yokota-mipshop-pfmipv6-00.txt

From: Frank Xia <[email-masked]>
Date: Wed, 25 Jul 2007 16:14:02 -0500

Hi all

I would rather that we will not be suprised at each other.

I would like to repeat the saying, "Great minds think alike"

What about  that we work together to elaborate the solution?

BR
Frank

----- Original Message ----- 
From: "Chowdhury, Kuntal" <[email-masked]>
To: "Frank Xia" <[email-masked]>; "Behcet Sarikaya" <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>; "Rajeev Koodli" <[email-masked]>
Sent: Wednesday, July 25, 2007 3:53 PM
Subject: RE: [Mipshop] comments about draft-yokota-mipshop-pfmipv6-00.txt

> -----Original Message-----
> From: Frank Xia [mailto:[email-masked]]
> Sent: Wednesday, July 25, 2007 3:38 PM
> To: Chowdhury, Kuntal; Behcet Sarikaya; [email-masked]
> Cc: [email-masked]; Rajeev Koodli
> Subject: Re: [Mipshop] comments about
draft-yokota-mipshop-pfmipv6-00.txt
> 
> Hi Kuntal
> 
> The main idea of the draft is the combination FMIPv6 and Proxy Mobile
> IPv6.
> 
> In fact , this idea is highlighted by  our draft and your draft.
> 
> Now let us see your previouse draft, http://tools.ietf.org/html/draft-
> chowdhury-netmip6-01.
> 
> Could you help me to find some key words about these ideas?
> 
[KC>] Look at the handover call flow and also look at the proposed base
protocol to be used for handover (data forwarding and context transfer)
between the ARs i.e. ICMP. Messages may be named differently, but the
overall idea was the same as the yokota-ID.

>  Thank you!
> 
> BR
> Frank
> 
> 
> ----- Original Message -----
> From: "Chowdhury, Kuntal" <[email-masked]>
> To: "Frank Xia" <[email-masked]>; "Behcet Sarikaya"
> <[email-masked]>; <[email-masked]>
> Cc: <[email-masked]>; "Rajeev Koodli" <[email-masked]>
> Sent: Wednesday, July 25, 2007 3:19 PM
> Subject: RE: [Mipshop] comments about
draft-yokota-mipshop-pfmipv6-00.txt
> 
> 
> Frank,
> 
> I think you misunderstood my comment. I was surprised to see your
draft
> talking about handover when my initial pmip6 (aka netmip6 I-D) already
> talked about handover in the first place...way before you submitted
your
> I-D (February 26, 2006).
> 
> BR,
> Kuntal
> 
> 
> ________________________________________
> From: Frank Xia [mailto:[email-masked]]
> Sent: Wednesday, July 25, 2007 3:13 PM
> To: Chowdhury, Kuntal; Behcet Sarikaya; [email-masked]
> Cc: [email-masked]; Rajeev Koodli
> Subject: Re: [Mipshop] comments about
draft-yokota-mipshop-pfmipv6-00.txt
> 
> Hi Kuntal
> 
> If you see the published time of the two draft, you will not be so
> surprised.
> 
> draft-xia-netlmm-mnagno-01  07-06-2007
> draft-yokota-mipshop-pfmipv6-00.txt   07-05-2007
> 
> BR
> Frank
> 
> ----- Original Message -----
> From: Chowdhury, Kuntal
> To: Behcet Sarikaya ; [email-masked]
> Cc: [email-masked] ; Rajeev Koodli
> Sent: Wednesday, July 25, 2007 2:37 PM
> Subject: RE: [Mipshop] comments about
draft-yokota-mipshop-pfmipv6-00.txt
> 
> Hi Behcet,
> 
> Please see inline...
> 
> ________________________________________
> From: Behcet Sarikaya [mailto:[email-masked]]
> Sent: Tuesday, July 24, 2007 2:51 PM
> To: [email-masked]
> Cc: [email-masked]; Chowdhury, Kuntal; Rajeev Koodli
> Subject: Re: [Mipshop] comments about
draft-yokota-mipshop-pfmipv6-00.txt
> 
> Hi all,
>   A little bit of history about this draft:
> - we published draft-xia-netlmm-mnagno-00 a while ago. Kuntal
contacted me
> and said he was interested, he had an earlier draft, did he say he
wanted
> to co-author?
> [KC>] There was a complete section with call flows in my initial
proposal
> for network based mobility proposal, ref:
> http://tools.ietf.org/html/draft-chowdhury-netmip6-01. There was a
> decision in netlmm WG to take the handover details out of the base
spec.
> Therefore, these details were left out of the base I-D. However, I
planned
> to pursue those anyway. So, when you submitted your I-D which
contained
> same or similar details, I was also surprised! I contacted you to
express
> my intent that favored standardization of handover details related to
> PMIP6. If that gave you the impression that I wanted to co-author
future
> work with you, my apologies for that.
> 
> -I discussed in Prag with Hide and Kuntal and we talked about writing
the
> new version together.
> [KC>] Yes you did. But, there was no _agreement_ to submit anything
> jointly, AFAIK.
> 
> -I even emailed xml file of draft-xia-netlmm-mnagno-00 to Hide.
> -Frank and I worked on -01 version and at the end I contacted Kuntal
and
> asked him if he wishes to comment and co-author.
> -Kuntal declined.
> -We went ahead and published draft-xia-netlmm-mnagno-01.
> -To our surprise we saw draft-yokota-mipshop-pfmipv6-00.txt?
> [KC>] I was surprised too when I saw your draft on handover for PMIP6
when
> the similar details were already part of my initial I-D. Anyway, I
> preferred to work on the yokota I-D because I was already working on
the
> same topic with Yokota-san, Rajeev, and Raj in various SDOs.
> 
>   Now a technical comment:
> in reactive mode, draft-yokota-mipshop-pfmipv6-00.txt proposes to use
> Hi/Hack signaling. Firstly this is deviation from maximum reuse of
FMIP.
> Secondly, if it were possible to use the same signaling in both modes,
why
> did the base document 4068bis not come up with such a unified
signaling?
> 
> 
> Regards,
> 
> Behcet
> ----- Original Message ----
> From: Frank Xia <[email-masked]>
> To: [email-masked]
> Sent: Monday, July 9, 2007 11:18:27 AM
> Subject: [Mipshop] comments about draft-yokota-mipshop-pfmipv6-00.txt
> Hi Hidetoshi
> 
> IMHO, I think the main idea of this draft is the same as
> http://tools.ietf.org/wg/netlmm/draft-xia-netlmm-fmip-mnagno-01.txt
> 
> "Great minds think alike"
> 
> BR
> Frank
> _______________________________________________
> Mipshop mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mipshop
> 
> ________________________________________
> _______________________________________________
> Mipshop mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mipshop
> 
> 
> "This email message and any attachments are confidential information
of
> Starent Networks, Corp. The information transmitted may not be used to
> create or change any contractual obligations of Starent Networks,
Corp.
> Any review, retransmission, dissemination or other use of, or taking
of
> any action in reliance upon this e-mail and its attachments by persons
or
> entities other than the intended recipient is prohibited. If you are
not
> the intended recipient, please notify the sender immediately -- by
> replying to this message or by sending an email to
> [email-masked] -- and destroy all copies of this
message
> and any attachments without reading or disclosing their contents.
Thank
> you."

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop